2011-05-14 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.1.12

2011-03-04 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.1.11

2011-02-27 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.1.10

2010-11-06 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.1.9

2010-09-18 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.1.8

2010-08-28 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.1.7

2010-08-07 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.1.6

2010-05-08 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.1.3

2010-04-03 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.1.1

2010-02-04 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.0.STABLE23

2009-12-24 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.0.STABLE21

2009-11-01 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.0.STABLE20
	* PRE_BUILD: Removed
	* squid-linux-headers.patch: Removed. Fixed upstream.

2009-09-06 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.0.STABLE19
	* PRE_BUILD: Added gentoo patch
	* squid-linux-headers.patch: Gentoo patchto fix problem with 
	  linux headers. http://bugs.gentoo.org/270450

2009-08-05 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.0.STABLE18

2009-08-04 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.0.STABLE17
	* BUILD: Removed unneeded -Wno-error from CXXFLAGS

2009-06-15 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.0.STABLE16
	* BUILD: Added -Wno-error to CXXFLAGS to fix build

2009-05-07 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.0.STABLE15

2009-04-11 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.0.STABLE14

2009-02-05 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.0.STABLE13

2009-01-22 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.0.STABLE12

2008-12-24 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.0.STABLE11

2008-09-10 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.0.STABLE9

2008-07-18 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.0.STABLE8

2008-06-24 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.0.STABLE7

2008-05-22 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 3.0.STABLE6

2008-04-29 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 3.0.STABLE5

2008-04-06 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 3.0.STABLE4

2008-03-10 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 3.0.STABLE2

2007-12-24 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 3.0.STABLE1

2007-11-28 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 2.6.STABLE17

2007-10-10 Martin Spitzbarth <m.spitzbarth@gmx.de>
	* BUILD: fixed the install path of the manpages
	* BUILD, INSTALL: INSTALL_ROOT ified the spell

2007-09-06 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 2.6.STABLE16

2007-09-01 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 2.6.STABLE15

2007-07-17 George Sherwood <george@beernabeer.com>
	* DETAILS: updated spell to 2.6.STABLE14

2007-05-20 George Sherwood <george@beernabeer.com>
	* DETAILS: updated spell to 2.6.STABLE13

2007-03-21 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 2.6.STABLE12. SECURITY_PATCH++. Bug 13641.

2007-03-17 George Sherwood <george@beernabeer.com>
	* DETAILS: updated spell to 2.6.STABLE11

2007-03-08 George Sherwood <george@beernabeer.com>
	* DETAILS: updated spell to 2.6.STABLE10

2007-01-24 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 2.6.STABLE9.

2007-01-14 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 2.6.STABLE7.

2006-12-13 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 2.6.STABLE6. Back to SOURCE_HASH. Couldn't
	  find proper public key.

2006-11-07 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 2.6STABLE5. Removed UPDATED.  GPG Checking.
	* PRE_BUILD: Removed. Patch not needed.
	* aiops.patch: Removed fixed upstream.

2006-10-07 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 2.6STABLE4. No sig for this update.
	* PRE_BUILD: Added to apply required patch
	* aiops.patch: Added from upstream to fix compile error.
	  http://www.squid-cache.org/Versions/v2/2.6/changesets/11036.patch

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: [automated] Removed BUILD_API=2.

2006-08-20 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 2.6STABLE3

2006-08-05 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 2.6STABLE2

2006-07-06 David Kowis <dkowis@shlrm.org>
	* BUILD,CONFIGURE: Added patch provided by Richard Johns <johnsr@lincoln.ac.nz>
	  Patch supplied history patch too, but has been in bugzilla since 2005-05-07 
	  so it didn't apply.
	  Should probably be done more generically, but that can be done later.

2006-07-03 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 2.6STABLE1

2006-06-24 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 2.5STABLE14

2006-03-22 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 2.5.STABLE13

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2005-10-23 Thomas Houssin <Thomas.Houssin@sourcemage.org>
	* DETAILS: Updated to 2.5.STABLE12 (SECURITY FIX)
	* DETAILS: Added gpg checking
	* squid.gpg: added

2005-09-24 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 2.5.STABLE11

2005-05-18 Thomas Houssin <Thomas.Houssin@sourcemage.org>
	* DETAILS: Updated to 2.5.STABLE10 (SECURITY FIX)

2005-03-09 Sergey Lipnevich <sergey@sourcemage.org>
	* services: remove, no longer used.

2005-02-25 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.5.STABLE9

2005-02-21 Seth Woolley <seth@tautology.org>
	* DETAILS: Updated to 2.5.STABLE8
	  SECURITY FIXES (various, see changelog)

2005-01-23 Arjan Bouter <abouter@sourcemage.org>
	* lowercase linux-pam

2004-10-22 David C. Haley <dhaley@hot.rr.com>
	* DETAILS: Updated to 2.5.STABLE7

2004-07-12 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.5.STABLE6
	  BUILD_API=2
	  Shortened SHORT
	  Removed SOURCE2, NTLM fix is now in the stable release
	* BUILD: Converted to BUILD_API 2
	  No longer apply patch
	  Remove TAB
	* INSTALL: Added
	* POST_REMOVE: Use message instead of echo
	* TRIGGERS: Cleanup extra space
	* DEPENDS: Formatted to Guru Handbook

2004-06-17 Seth Woolley <seth@tautology.org>
	* BUILD, DETAILS: added ntlm not enough bounds checking buffer
	  overflow remote exploit patch SECURITY FIX! (our spell enabled
	  NTLM by default so all installs are vulnerable!)

2004-03-02 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.5.STABLE5
	* HISTORY: Formatted to Guru Handbook

2003-10-01 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Update to 2.5.STABLE4

2003-08-22 hgg <hgreig@bigpond.net.au>
	* DETAILS: Update UPDATED purely for test grimoire integration.

2003-08-10 hgg <hgreig@bigpond.net.au>
	* TRIGGERS: Revert on_dispel Linux-PAM cast_self (doesn't work
	  the way it is documented)

2003-07-30 Arwed v. Merkatz <v.merkatz@gmx.net>
	* init.d/squid: updated to new init system

2003-07-26 hgg <hgreig@bigpond.net.au>
	* TRIGGERS: Update for Linux-PAM

2003-07-06 hgg <hgreig@bigpond.net.au>
	* DETAILS: Just found out there was a new 2.5.STABLE3 version!

2003-07-06 hgg <hgreig@bigpond.net.au>
	* DEPENDS: Added to setup ssl and PAM if available bugs #3550 & #3111

2003-05-01 Rob Verkuylen <rob@verkuylen.net>
	* Copied /init.d/squid.sh to /init.d/squid
	  Step 1/3 in bug#: 3115

2003-03-31 Eric Sandall <sandalle@sourcemage.org>
	* init.d/squid.sh: Updated to use sorcery init.d installer
	* CONFIGURE: Removed as sorcery handles this
	* PRE_REMOVE,POST_INSTALL: Updated
	* HISTORY,ChangeLog: Merged and Removed old ChangeLog into HISTORY

2003-03-31 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: Upgrade to 2.5.STABLE2.

2003-02-17 Sergey Lipnevich <sergey@sourcemage.org>
	* BUILD: Added authentication protocols/helpers directives
	  for ./configure.
	* TODO: create a CONFIGURE script to customize these.

2002-11-05 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: Upgraded to 2.5.STABLE1.
	  Modified to use derivatives of $VERSION in the SOURCE_URL.
	  Added license and checksum.
	* BUILD: Moved part into a separate subshell where its
	  result wouldn't prevent squid from completing a cast.

2002-09-01 Sergey Lipnevich <sergey@sourcemage.org>
	* BUILD: Now creates log directory and empty log files
	  This fixes bug 799.

2002-07-30 Justin Rocha <jrocha@sourcemage.org>
	* DETAILS: Version bump to 2.4STABLE7
	* USEGCC2: Removed

2002-05-31 Justin Rocha <jrocha@sourcemage.org>
	* squid.sh: Fixed the script to work correctly. Wouldn't "restart"

2002-03-22 Eric Schabell <eric@schabell.com>
	* DETAILS: The patch for STABLE5 was insufficently tested and 
	  introduced a bug that causes frequent assertions
	  when handling DNS PTR answers.

2002-03-18 Eric Schabell <eric@schabell.com>
	* DETAILS: Squid version update 2.4-STABLE5 provides
	  bug fixes to an array bounds bug in lib/rfc1035.c
	  which allowed a malicious DNS server to send bogus
	  replies and thus currupt the memory heap.

2002-03-13 Eric Schabell <eric@schabell.com>
	* HISTORY: Added

2001-12-14 Kyle Sallee <anonymous@sourcemage.org>
	* BUILD: modified so that /etc/ppp/resolv.conf is used instead of 
	  /etc/resolv.conf if ppp is installed, otherwise squid crashes if
	  /etc/resolv.conf is a symbolic link.
	* modified so that squid can be started on boot, only if ppp is 
	  not installed. Even with -D squid will crash if started on a 
	  non Internet connected box.
	* squid.sh: simplified it to work with SGL.

